## libbaseencode 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(baseencode)

enable_testing()
add_subdirectory(tests)

# set up versioning.
set(BUILD_MAJOR "1")
set(BUILD_MINOR "0")
set(BUILD_VERSION "9")
set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_VERSION})

set(CMAKE_C_STANDARD 11)

set(BASEENCODE_HEADERS src/baseencode.h)
set(SOURCE_FILES src/base32.c src/base64.c)

set(CMAKE_C_FLAGS "-Wall -Werror -fPIC")

add_library(${PROJECT_NAME} SHARED ${SOURCE_FILES})

target_link_libraries(${PROJECT_NAME} ${PROJECT_LIBS})

set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${BUILD_VERSION} SOVERSION ${BUILD_MAJOR})

include(GNUInstallDirs)
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}") # "lib" or "lib64"

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  COMPONENT library
)

install(
  FILES ${BASEENCODE_HEADERS}
  DESTINATION include
)

configure_file("baseencode.pc.in" "baseencode.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/baseencode.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== debian/changelog ===
libbaseencode (1.0.9-3) unstable; urgency=medium

  * source only upload

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 15 Jun 2020 14:44:27 +0000

libbaseencode (1.0.9-2) unstable; urgency=low

  * d/control: fix libbaseencode-dev depends

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 16 May 2020 22:53:29 +0000

libbaseencode (1.0.9-1) unstable; urgency=low

  * Initial release (Closes: #959688)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 03 May 2020 20:41:48 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/$1\/$1\@ANY_VERSION@@ARCHIVE_EXT@@SIGNATURE_EXT@ \
https://github.com/paolostivanin/libbaseencode/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## libbaseencode 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # set up versioning.
 set(BUILD_MAJOR "1")
 set(BUILD_MINOR "0")
-set(BUILD_VERSION "9")
+set(BUILD_VERSION "10")
 set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_VERSION})
 
 set(CMAKE_C_STANDARD 11)

=== debian/changelog ===
libbaseencode (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 27 Sep 2020 04:58:25 +0000

libbaseencode (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10.
  * debian/watch: fixed syntax of pgpsigurlmangle option.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 22 Sep 2020 19:04:49 +0000

=== debian/control ===
Source: libbaseencode
Section: libs
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paolostivanin/libbaseencode
Vcs-Browser: https://salsa.debian.org/debian/libbaseencode
Vcs-Git: https://salsa.debian.org/debian/libbaseencode.git

Package: libbaseencode-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbaseencode1 (= ${binary:Version}), ${misc:Depends}
Description: C library for encoding and decoding data using base32 or base64 (development)
 Library written in C for encoding and decoding data using
 base32 or base64 according to RFC-4648.
 .
 This package contains the files needed to compile and link
 programs which use this library.

Package: libbaseencode1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for encoding and decoding data using base32 or base64
 Library written in C for encoding and decoding data using
 base32 or base64 according to RFC-4648.
 .
 This package contains shared library object.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/v?@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/libbaseencode/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## libbaseencode 1.0.11-1+10.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 set(BASEENCODE_HEADERS src/baseencode.h)
 set(SOURCE_FILES src/base32.c src/base64.c)
 
-set(CMAKE_C_FLAGS "-Wall -Werror -fPIC")
+set(CMAKE_CXX_FLAGS "-Wall -Werror -fPIC")
 
 add_library(${PROJECT_NAME} SHARED ${SOURCE_FILES})

=== debian/changelog ===
libbaseencode (1.0.11-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from Debian stable as a dependency for otpclient

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 19 Sep 2021 18:00:27 +0000

## libbaseencode 1.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # set up versioning.
 set(BUILD_MAJOR "1")
 set(BUILD_MINOR "0")
-set(BUILD_VERSION "10")
+set(BUILD_VERSION "12")
 set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_VERSION})
 
 set(CMAKE_C_STANDARD 11)
@@ -15,7 +15,7 @@
 set(BASEENCODE_HEADERS src/baseencode.h)
 set(SOURCE_FILES src/base32.c src/base64.c)
 
-set(CMAKE_CXX_FLAGS "-Wall -Werror -fPIC")
+set(CMAKE_C_FLAGS "-Wall -Werror -fPIC")
 
 add_library(${PROJECT_NAME} SHARED ${SOURCE_FILES})

=== debian/changelog ===
libbaseencode (1.0.12-2) unstable; urgency=medium

  * Update debian/patches/CMakeLists.txt.patch.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 04 Jan 2022 15:38:43 +0000

libbaseencode (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12.
  * Bump Standards-Version to 4.6.0.1.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 29 Dec 2021 13:50:01 +0000

libbaseencode (1.0.11-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 16 Aug 2021 01:48:17 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libbaseencode
 Vcs-Browser: https://salsa.debian.org/debian/libbaseencode

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/libbaseencode/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@

## libbaseencode 1.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(baseencode)

include(GNUInstallDirs)

enable_testing()
add_subdirectory(tests)

# set up versioning.
set(BUILD_MAJOR "1")
set(BUILD_MINOR "0")
set(BUILD_VERSION "14")
set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_VERSION})

set(CMAKE_C_STANDARD 11)

set(BASEENCODE_HEADERS src/baseencode.h)
set(SOURCE_FILES src/base32.c src/base64.c)

set(CMAKE_C_FLAGS "-Wall -Werror -fPIC")

add_library(${PROJECT_NAME} SHARED ${SOURCE_FILES})

target_link_libraries(${PROJECT_NAME} ${PROJECT_LIBS})

set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${BUILD_VERSION} SOVERSION ${BUILD_MAJOR})

set(BASEENCODE_LIB_DIR "${CMAKE_INSTALL_LIBDIR}")
set(BASEENCODE_INC_DIR "${CMAKE_INSTALL_INCLUDEDIR}")

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${BASEENCODE_LIB_DIR}
  LIBRARY DESTINATION ${BASEENCODE_LIB_DIR}
  COMPONENT library
)

install(
  FILES ${BASEENCODE_HEADERS}
  DESTINATION ${BASEENCODE_INC_DIR}
)

# Allow adding prefix if CMAKE_INSTALL_INCLUDEDIR not absolute.
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
    set(PKGCONFIG_TARGET_INCLUDES "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    set(PKGCONFIG_TARGET_INCLUDES "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()
# Allow adding prefix if CMAKE_INSTALL_LIBDIR not absolute.
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
    set(PKGCONFIG_TARGET_LIBS "${CMAKE_INSTALL_LIBDIR}")
else()
    set(PKGCONFIG_TARGET_LIBS "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()

configure_file("baseencode.pc.in" "baseencode.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/baseencode.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== debian/changelog ===
libbaseencode (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14.
  * Update my email address.
  * Update upstream and packaging copyright years.
  * Bump Standards-Version to 4.6.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 12 Jun 2022 13:01:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libbaseencode
 Section: libs
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libbaseencode
 Vcs-Browser: https://salsa.debian.org/debian/libbaseencode

## libbaseencode 1.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,9 @@
 enable_testing()
 add_subdirectory(tests)
 
-# set up versioning.
 set(BUILD_MAJOR "1")
 set(BUILD_MINOR "0")
-set(BUILD_VERSION "14")
+set(BUILD_VERSION "15")
 set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_VERSION})
 
 set(CMAKE_C_STANDARD 11)

=== tests/CMakeLists.txt ===

IF(BUILD_TESTING)
    add_executable (test_all ../src/base32.c ../src/base64.c test-base32-encode.c test-base32-decode.c test-base64-encode.c test-base64-decode.c)

    target_link_libraries (test_all -lcriterion)

    add_test (NAME TestAll COMMAND test_all)
ENDIF(BUILD_TESTING)

=== debian/changelog ===
libbaseencode (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 05 Jan 2023 15:49:58 +0000

libbaseencode (1.0.14-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.
  * Update libbaseencode1 package description.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 14:12:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libbaseencode
 Vcs-Browser: https://salsa.debian.org/debian/libbaseencode
@@ -30,4 +30,4 @@
  Library written in C for encoding and decoding data using
  base32 or base64 according to RFC-4648.
  .
- This package contains shared library object.
+ This package contains the shared library object.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/libbaseencode/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
